Subject: Ticket Assigned - Complaint for delay in delivering my order till now
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 01 Mar 2022 14:06:04 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint for delay in delivering my order till now Sir/madamThis is to inform you that I,Princy Eapen,order my dresses on 21st February 2022 and till now I didn't get my stuff..I called the customer service many times but still there is no action from their side.I hereby attach details of my order

Sent from Yahoo Mail on Android
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3943146